- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- EventFilters
- Try it!
List the events for an issue matching filter criteria, sorted in descending order by timestamp.
HTTP request
GET https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*}/events
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The Firebase application. Format: "projects/{project}/apps/{app_id}". |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of events per page. If omitted, defaults to 10. |
pageToken |
Optional. A page token, received from a previous calls. |
filter |
Optional. Filter only the desired events. |
readMask |
Optional. The list of Event fields to include in the response. If omitted, the full event is returned. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body must be empty.
Response body
Response message for the events.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"events": [
{
object ( |
| Fields | |
|---|---|
events[] |
Returns one element per event, in descending order the by event timestamp. |
nextPageToken |
A pagination token to retrieve the next page of events. The next page will have earlier or later events depending on the request's ordering. If this field is not present, there are no subsequent events. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/firebase
For more information, see the OAuth 2.0 Overview.
EventFilters
Filters for events.list method. Multiple conditions for the same field are combined in an ‘OR’ expression and different fields are combined with ‘AND’. All fields are optional.
| JSON representation |
|---|
{ "interval": { object ( |
| Fields | |
|---|---|
interval |
Optional. Fetch only events which occurred during the time interval. Valid values are from 90 calendar days ago to the current time. |
version |
Optional. Fetch only events from the given application versions. |
issue |
Optional. Fetch only events with the desired issue characteristics. |
operatingSystem |
Optional. Fetch only events from the given operating system versions. |
device |
Optional. Fetch only events from the given device models. |
browser |
Optional. Fetch only events from the given browser. |